Skip to content
LogoLogo

Slashing

Params

GET/cosmos/slashing/v1beta1/params

Params queries the parameters of slashing module

Responses

SigningInfos

GET/cosmos/slashing/v1beta1/signing_infos

SigningInfos queries signing info of all validators

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

SigningInfo

GET/cosmos/slashing/v1beta1/signing_infos/{cons_address}

SigningInfo queries the signing info of given cons address

Path Parameters

cons_addressRequired
string

cons_address is the address to query signing info of

Responses